package cz.zcu.kiv.cosi.parkoviste.tabule;

import org.springframework.context.ApplicationEvent;
import org.springframework.context.ApplicationListener;

import cz.zcu.kiv.cosi.parkoviste.IZapVyp;
import cz.zcu.kiv.cosi.parkoviste.parkoviste.ParkovistePlneEvent;
import cz.zcu.kiv.cosi.parkoviste.parkoviste.ParkovisteZbyvaEvent;

public class Tabule implements IZapVyp, ApplicationListener {

	@Override
	public void vyp() {
		System.out.println("Tabule vypnuta...");
	}

	@Override
	public void zap() {
		System.out.println("Tabule zapnuta...");
	}

	@Override
	public void onApplicationEvent(ApplicationEvent event) {
	    if (event instanceof ParkovisteZbyvaEvent) {
	    	ParkovisteZbyvaEvent parkovisteZbyvaEvent = (ParkovisteZbyvaEvent) event;
	        System.out.println("(Tabule) Volna mista: " + parkovisteZbyvaEvent.getVolnaMista());
	     }
	    else if (event instanceof ParkovistePlneEvent) {
	        System.out.println("(Tabule) Parkoviste je plne!");
	     }	    
	}

}
